# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Send mail with attachments through an SMTP server
Name:		perl-Mail-Sender
Version:	0.8.16
Release:	5.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Mail-Sender/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/Mail-Sender-%{version}.tar.gz
Source1:	Sender.config
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker), perl(Test::More)

%description
Mail::Sender - module for sending mails with attachments through an SMTP server

%prep
%setup -q -n Mail-Sender-%{version}
%{__sed} -i -e 's/\r//g' README
# remove Win32 bit that creates bad dependency
%{__sed} -i -e '/Win32/d' MANIFEST
%{__rm} -f Sender/CType/Win32.pm

# Filter out redundant unversioned provide if present, by making it versioned
%global provfilt /bin/sh -c "%{__perl_provides} | %{__sed} 's/^\\(perl(Mail::Sender)\\) *$/\\1 = %{version}/'"
%define __perl_provides %{provfilt}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
echo CFG > Config # Don't run Config.PL
%{__make} %{?_smp_mflags}
%{__cp} -p %{SOURCE1} blib/lib/Mail

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc README*
%{perl_vendorlib}/Mail/
%{_mandir}/man3/Mail::Sender.3pm*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.8.16-5
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> 0.8.16-4
- Fix dist tag for RHEL-6 Beta

* Fri Feb 26 2010 Paul Howarth <paul@city-fan.org> 0.8.16-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Mon Sep 14 2009 Paul Howarth <paul@city-fan.org> 0.8.16-2
- Define RPM macros in global scope
- Filter out redundant unversioned provide of perl(Mail::Sender)

* Mon Jul 14 2007 Paul Howarth <paul@city-fan.org> 0.8.16-1
- Update to 0.8.16
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license a GPL version 1 or later, or Artistic (i.e. same as perl)
- BuildRequire perl(Test::More)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 0.8.13-2
- Fix dist tag for development builds and Fedora 7 onwards
- Define %%{__id_u} in a more portable way
- Fix argument order for find with -depth
- Add buildreq perl(ExtUtils::MakeMaker)

* Mon Feb 27 2006 Paul Howarth <paul@city-fan.org> 0.8.13-1
- Simplify distribution detection
- Remove buildroot unconditionally in %%clean and %%install
- Remove macro __perl_package, used only twice
- Remove macro __perl_version, used only once
- Use sed rather than grep/mv to edit MANIFEST
- Use search.cpan.org URLs
- Add note about not building for FC >= 3
- Don't use macros in build-time command paths, hardcode them instead

* Wed Jul 13 2005 Paul Howarth <paul@city-fan.org> 0.8.10-5
- Fix bogus Group: tag
- Remove optimizations from %%build, not needed for noarch package
- Fix directory ownership issues
- Fix line endings in README

* Fri May 20 2005 Paul Howarth <paul@city-fan.org> 0.8.10-4
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.8.10-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.8.10-2
- Unified spec file for Red Hat and Fedora Core

* Fri Dec 12 2003 Paul Howarth <paul@city-fan.org> 0.8.10-1.fc1
- More macros
- Added Fedora Core version to RPM release ID

* Wed Nov 26 2003 Paul Howarth <paul@city-fan.org> 0.8.10-1
- Updated to 0.8.10

* Mon Nov 24 2003 Paul Howarth <paul@city-fan.org> 0.8.00-2
- Updated to Fedora Core 1

* Tue Oct 15 2002 Paul Howarth <paul@city-fan.org> 0.8.00-1
- Initial build
